pcl::SeededHueSegmentation Class Reference
Module segmentation

SeededHueSegmentation. More...

`#include <pcl/segmentation/seeded_hue_segmentation.h>`

Inheritance diagram for pcl::SeededHueSegmentation:

## Public Types

using | PointCloud = pcl::PointCloud< PointXYZRGB >
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | KdTree = pcl::search::Search< PointXYZRGB >
using | KdTreePtr = pcl::search::Search< PointXYZRGB >::Ptr
using | PointIndicesPtr = PointIndices::Ptr
using | PointIndicesConstPtr = PointIndices::ConstPtr
Public Types inherited from pcl::PCLBase< PointXYZRGB >
using | PointCloud = pcl::PointCloud< PointXYZRGB >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | PointIndicesPtr = PointIndices::Ptr
using | PointIndicesConstPtr = PointIndices::ConstPtr

## Public Member Functions

| SeededHueSegmentation ()
| Empty constructor. More...
void | setSearchMethod (const KdTreePtr &tree)
| Provide a pointer to the search object. More...
KdTreePtr | getSearchMethod () const
| Get a pointer to the search method used. More...
void | setClusterTolerance (double tolerance)
| Set the spatial cluster tolerance as a measure in the L2 Euclidean space. More...
double | getClusterTolerance () const
| Get the spatial cluster tolerance as a measure in the L2 Euclidean space. More...
void | setDeltaHue (float delta_hue)
| Set the tollerance on the hue. More...
float | getDeltaHue () const
| Get the tolerance on the hue. More...
void | segment (PointIndices &indices_in, PointIndices &indices_out)
| Cluster extraction in a PointCloud given by <setInputCloud (), setIndices ()> More...
Public Member Functions inherited from pcl::PCLBase< PointXYZRGB >
| PCLBase ()
| Empty constructor. More...
| PCLBase (const PCLBase &base)
| Copy constructor. More...
virtual | ~PCLBase ()
| Destructor. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset. More...
const PointCloudConstPtr | getInputCloud () const
| Get a pointer to the input point cloud dataset. More...
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (std::size_t row_start, std::size_t col_start, std::size_t nb_rows, std::size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud. More...
const IndicesPtr | getIndices ()
| Get a pointer to the vector of indices used. More...
const IndicesConstPtr | getIndices () const
| Get a pointer to the vector of indices used. More...
const PointXYZRGB & | operator[] (std::size_t pos) const
| Override PointCloud operator[] to shorten code. More...

## Protected Member Functions

virtual std::string | getClassName () const
| Class getName method. More...
Protected Member Functions inherited from pcl::PCLBase< PointXYZRGB >
bool | initCompute ()
| This method should get called before starting the actual computation. More...
bool | deinitCompute ()
| This method should get called after finishing the actual computation. More...

## Protected Attributes

KdTreePtr | tree_
| A pointer to the spatial search object. More...
double | cluster_tolerance_
| The spatial cluster tolerance as a measure in the L2 Euclidean space. More...
float | delta_hue_
| The allowed difference on the hue. More...
Protected Attributes inherited from pcl::PCLBase< PointXYZRGB >
PointCloudConstPtr | input_
| The input point cloud dataset. More...
IndicesPtr | indices_
| A pointer to the vector of point indices to use. More...
bool | use_indices_
| Set to true if point indices are used. More...
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud. More...

## Detailed Description

SeededHueSegmentation.

Author
  Koen Buys

Definition at line 93 of file seeded_hue_segmentation.h.

## Member Typedef Documentation

## KdTree

using pcl::SeededHueSegmentation::KdTree = pcl::search::Search<PointXYZRGB>

Definition at line 102 of file seeded_hue_segmentation.h.

## KdTreePtr

using pcl::SeededHueSegmentation::KdTreePtr = pcl::search::Search<PointXYZRGB>::Ptr

Definition at line 103 of file seeded_hue_segmentation.h.

## PointCloud

using pcl::SeededHueSegmentation::PointCloud = pcl::PointCloud<PointXYZRGB>

Definition at line 98 of file seeded_hue_segmentation.h.

## PointCloudConstPtr

using pcl::SeededHueSegmentation::PointCloudConstPtr = PointCloud::ConstPtr

Definition at line 100 of file seeded_hue_segmentation.h.

## PointCloudPtr

using pcl::SeededHueSegmentation::PointCloudPtr = PointCloud::Ptr

Definition at line 99 of file seeded_hue_segmentation.h.

## PointIndicesConstPtr

using pcl::SeededHueSegmentation::PointIndicesConstPtr = PointIndices::ConstPtr

Definition at line 106 of file seeded_hue_segmentation.h.

## PointIndicesPtr

using pcl::SeededHueSegmentation::PointIndicesPtr = PointIndices::Ptr

Definition at line 105 of file seeded_hue_segmentation.h.

## Constructor & Destructor Documentation

## SeededHueSegmentation()

pcl::SeededHueSegmentation::SeededHueSegmentation | ( |  | ) |

inline

Empty constructor.

Definition at line 110 of file seeded_hue_segmentation.h.

## Member Function Documentation

## getClassName()

virtual std::string pcl::SeededHueSegmentation::getClassName | ( |  | ) | const

inline protected virtual

Class getName method.

Definition at line 167 of file seeded_hue_segmentation.h.

## getClusterTolerance()

double pcl::SeededHueSegmentation::getClusterTolerance | ( |  | ) | const

inline

Get the spatial cluster tolerance as a measure in the L2 Euclidean space.

Definition at line 131 of file seeded_hue_segmentation.h.

References cluster_tolerance_.

## getDeltaHue()

float pcl::SeededHueSegmentation::getDeltaHue | ( |  | ) | const

inline

Get the tolerance on the hue.

Definition at line 141 of file seeded_hue_segmentation.h.

References delta_hue_.

## getSearchMethod()

KdTreePtr pcl::SeededHueSegmentation::getSearchMethod | ( |  | ) | const

inline

Get a pointer to the search method used.

Definition at line 121 of file seeded_hue_segmentation.h.

References tree_.

## segment()

void pcl::SeededHueSegmentation::segment | ( | PointIndices & | indices_in,
|  | PointIndices & | indices_out
| ) |  |

Cluster extraction in a PointCloud given by <setInputCloud (), setIndices ()>

Parameters

  [in] | indices_in |
  [out] | indices_out |

Definition at line 197 of file seeded_hue_segmentation.hpp.

References cluster_tolerance_, pcl::PCLBase< PointXYZRGB >::deinitCompute(), delta_hue_, pcl::PointIndices::indices, pcl::PCLBase< PointXYZRGB >::indices_, pcl::PCLBase< PointXYZRGB >::initCompute(), pcl::PCLBase< PointXYZRGB >::input_, pcl::seededHueSegmentation(), and tree_.

## setClusterTolerance()

void pcl::SeededHueSegmentation::setClusterTolerance | ( | double | tolerance | ) |

inline

Set the spatial cluster tolerance as a measure in the L2 Euclidean space.

Parameters

  [in] | tolerance | the spatial cluster tolerance as a measure in the L2 Euclidean space

Definition at line 127 of file seeded_hue_segmentation.h.

References cluster_tolerance_.

## setDeltaHue()

void pcl::SeededHueSegmentation::setDeltaHue | ( | float | delta_hue | ) |

inline

Set the tollerance on the hue.

Parameters

  [in] | delta_hue | the new delta hue

Definition at line 137 of file seeded_hue_segmentation.h.

References delta_hue_.

## setSearchMethod()

void pcl::SeededHueSegmentation::setSearchMethod | ( | const KdTreePtr & | tree | ) |

inline

Provide a pointer to the search object.

Parameters

  [in] | tree | a pointer to the spatial search object.

Definition at line 117 of file seeded_hue_segmentation.h.

References tree_.

## Member Data Documentation

## cluster_tolerance_

double pcl::SeededHueSegmentation::cluster_tolerance_

protected

The spatial cluster tolerance as a measure in the L2 Euclidean space.

Definition at line 161 of file seeded_hue_segmentation.h.

Referenced by getClusterTolerance(), segment(), and setClusterTolerance().

## delta_hue_

float pcl::SeededHueSegmentation::delta_hue_

protected

The allowed difference on the hue.

Definition at line 164 of file seeded_hue_segmentation.h.

Referenced by getDeltaHue(), segment(), and setDeltaHue().

## tree_

KdTreePtr pcl::SeededHueSegmentation::tree_

protected

A pointer to the spatial search object.

Definition at line 158 of file seeded_hue_segmentation.h.

Referenced by getSearchMethod(), segment(), and setSearchMethod().

The documentation for this class was generated from the following files:

- pcl/segmentation/seeded_hue_segmentation.h
- pcl/segmentation/impl/seeded_hue_segmentation.hpp